Skip to main content
GET
/
tasks
/
{id}
Get Task by ID
curl --request GET \
  --url https://api.audioshake.ai/tasks/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "completedAt": "2023-11-07T05:31:56Z",
  "clientId": "<string>",
  "cost": 123,
  "assetId": "<string>",
  "url": "<string>",
  "metadata": "<string>",
  "targets": [
    {
      "id": "<string>",
      "model": "<string>",
      "status": "processing",
      "formats": [
        "<string>"
      ],
      "output": [
        {
          "name": "<string>",
          "format": "<string>",
          "link": "<string>"
        }
      ],
      "cost": 123,
      "error": {
        "code": 123,
        "message": "<string>"
      },
      "duration": 123,
      "residual": true,
      "language": "<string>",
      "transcriptUrl": "<string>",
      "transcriptAssetId": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.audioshake.ai/llms.txt

Use this file to discover all available pages before exploring further.

Fetch a single Task by its id. Use this to check target status and retrieve output download links.

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Unique identifier of the Task

Response

200 - application/json

Default Response

id
string

Unique identifier of the Task

createdAt
string<date-time>

Timestamp of when the Task was created

completedAt
string<date-time> | null

Timestamp of when the Task was completed

clientId
string

Unique identifier of the client

cost
number

Processing cost in credits

assetId
string

Asset ID of an input media file. Mutually exclusive with url

url
string | null

URL of an input media file. Mutually exclusive with assetId

metadata
string

Client-provided metadata. Stored and returned as-is in responses and webhooks.

targets
object[]

Processing targets and their current status